/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Modelo;

import java.util.Observable;

/**
 *
 * @author User
 */
public class Caja extends Observable {

    private double dIdCaja;
    private double dSaldo;
    private boolean bEstadoCaja;
    //private double dSaldoCentral;

    public Caja(double id)
    {
        //dSaldoCentral = 3000;
        dSaldo = 0;
        dIdCaja = id;
        bEstadoCaja=false;
    }

    /**
     * @return the dSaldo
     */
    public double getDSaldo() {
        return dSaldo;
    }

    /**
     * @param dSaldo the dSaldo to set
     */
    public void setDSaldo(double dSaldo) {
        this.dSaldo = dSaldo;

        setChanged();
        notifyObservers();

    }

    /**
     * @return the dIdCaja
     */
   public double getDIdCaja() {
        return dIdCaja;
    }

    /**
     * @param dIdCaja the dIdCaja to set
     */
    public void setDIdCaja(double dIdCaja) {
        this.dIdCaja = dIdCaja;
    }

    /**
     * @return the bEstadoCaja
     */
    public boolean isBEstadoCaja() {
        return bEstadoCaja;
    }

    /**
     * @param bEstadoCaja the bEstadoCaja to set
     */
    public void setBEstadoCaja(boolean bEstadoCaja) {
        this.bEstadoCaja = bEstadoCaja;
    }

    /**
     * @return the dSaldoCentral
     */
    /*public double getDSaldoCentral() {
    return dSaldoCentral;
    }*/

    /**
     * @param dSaldoCentral the dSaldoCentral to set
     */
    /*public void setDSaldoCentral(double dSaldoCentral) {
    this.dSaldoCentral = dSaldoCentral;
    }*/

}
